org.gradle.language.c

## Interface CSourceSet

- All Superinterfaces:
    Buildable, DependentSourceSet, HeaderExportingSourceSet, LanguageSourceSet, Named

      @Incubating
      public interface CSourceSet
      extends HeaderExportingSourceSet, LanguageSourceSet, DependentSourceSet

  A set of C source files.

  A C source set contains a set of source files, together with an optional set of exported header files.

       apply plugin: "c"

       sources {
           main {
               // Configure an existing CSourceSet
               c {
                   source {
                       srcDirs "src/main/cpp", "src/shared/c++"
                       include "**/*.c"
                   }
                   exportedHeaders {
                       srcDirs "src/main/include"
                   }
               }
           }
       }

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.language.HeaderExportingSourceSet

      `exportedHeaders, getExportedHeaders`

    - ### Methods inherited from interface org.gradle.language.DependentSourceSet

      `dependency, getLibs, lib`